summaryrefslogtreecommitdiffhomepage
path: root/build.sh
diff options
context:
space:
mode:
authorLinus Färnstrand <linus@mullvad.net>2018-07-02 16:10:37 +0200
committerLinus Färnstrand <linus@mullvad.net>2018-07-03 11:33:30 +0200
commit212ab525ed69e3ba47ade75dcc04a3d528ca7ece (patch)
tree154673d53e58a5c4d514279a732a3cd02aea8344 /build.sh
parent56922a2b644a1dc6f4b872e2dfcd84571ca354a3 (diff)
downloadmullvadvpn-212ab525ed69e3ba47ade75dcc04a3d528ca7ece.tar.xz
mullvadvpn-212ab525ed69e3ba47ade75dcc04a3d528ca7ece.zip
Move problem-report out to own crate
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index 47f5e66bbe..414289c9fb 100755
--- a/build.sh
+++ b/build.sh
@@ -87,8 +87,9 @@ SEMVER_VERSION=$(echo $PRODUCT_VERSION | sed -Ee 's/($|-.*)/.0\1/g')
function restore_metadata_backups() {
mv package.json.bak package.json || true
mv Cargo.lock.bak Cargo.lock || true
- mv mullvad-cli/Cargo.toml.bak mullvad-cli/Cargo.toml || true
mv mullvad-daemon/Cargo.toml.bak mullvad-daemon/Cargo.toml || true
+ mv mullvad-cli/Cargo.toml.bak mullvad-cli/Cargo.toml || true
+ mv mullvad-problem-report/Cargo.toml.bak mullvad-problem-report/Cargo.toml || true
}
trap 'restore_metadata_backups' EXIT
@@ -100,7 +101,8 @@ cp Cargo.lock Cargo.lock.bak
sed -i.bak \
-Ee "s/^version = \"[^\"]+\"\$/version = \"$SEMVER_VERSION\"/g" \
mullvad-daemon/Cargo.toml \
- mullvad-cli/Cargo.toml
+ mullvad-cli/Cargo.toml \
+ mullvad-problem-report/Cargo.toml
################################################################################
# Compile and link all binaries.